Bug 23602 - Library limitations should display in the item types table
Summary: Library limitations should display in the item types table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Agustín Moyano
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 15497
Blocks: 23606 23772 23804
  Show dependency treegraph
 
Reported: 2019-09-13 06:55 UTC by Martin Renvoize
Modified: 2019-10-11 12:41 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23602: Display branch limitations in itemtype table (3.44 KB, patch)
2019-09-13 14:02 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 23602: Display branch limitations in itemtype table (3.51 KB, patch)
2019-09-13 16:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23602: (follow-up) Correct terminology, add tooltip (3.30 KB, patch)
2019-09-13 16:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23602: Display branch limitations in itemtype table (3.54 KB, patch)
2019-09-20 19:31 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23602: (follow-up) Correct terminology, add tooltip (3.35 KB, patch)
2019-09-20 19:31 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23602: Display branch limitations in itemtype table (3.61 KB, patch)
2019-09-27 12:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23602: (follow-up) Correct terminology, add tooltip (3.41 KB, patch)
2019-09-27 12:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23602: (follow-up) Improve tooltip formatting (1.88 KB, patch)
2019-09-27 12:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23602: (follow-up) Improve tooltip formatting (1.94 KB, patch)
2019-09-27 12:44 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-09-13 06:55:56 UTC
With the introduction of bug 15497 itemtypes can now be limited to select branches. We should display the selected branch list in the itemtype summary table.
Comment 1 Martin Renvoize 2019-09-13 06:57:10 UTC
I missed this during my QA run on the original bug.. any chance of a quick followup Agustin.. hopefully it's a trivial request.
Comment 2 Agustín Moyano 2019-09-13 14:02:21 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2019-09-13 16:19:11 UTC
Created attachment 92815 [details] [review]
Bug 23602: Display branch limitations in itemtype table

This patch adds a column in itemtype table to display branch limitations.

To test:
1) Open item types admin page.
CHECK => there is no column for branch limitations, even if you add a limitation in an item type.
2) Apply this patch
SUCCESS => A new column appears that displays branch limitations per item type
3) Sign off

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Owen Leonard 2019-09-13 16:19:14 UTC
Created attachment 92816 [details] [review]
Bug 23602: (follow-up) Correct terminology, add tooltip

This follow-up changes the use of "branch" to the Koha standard
"library." The patch also adds the use of a Bootstrap tooltip for
showing an item type's library limitations in the main table of item
types.

To test, apply the patch and go to Administration -> Item types.

In the table of item types, find one with library limitations. Hovering
over the "# library limitations" test should trigger a Bootstrap-styled
tooltip showing the library name and code.
Comment 5 Maryse Simard 2019-09-20 19:31:27 UTC
Created attachment 93044 [details] [review]
Bug 23602: Display branch limitations in itemtype table

This patch adds a column in itemtype table to display branch limitations.

To test:
1) Open item types admin page.
CHECK => there is no column for branch limitations, even if you add a limitation in an item type.
2) Apply this patch
SUCCESS => A new column appears that displays branch limitations per item type
3) Sign off

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 6 Maryse Simard 2019-09-20 19:31:39 UTC
Created attachment 93046 [details] [review]
Bug 23602: (follow-up) Correct terminology, add tooltip

This follow-up changes the use of "branch" to the Koha standard
"library." The patch also adds the use of a Bootstrap tooltip for
showing an item type's library limitations in the main table of item
types.

To test, apply the patch and go to Administration -> Item types.

In the table of item types, find one with library limitations. Hovering
over the "# library limitations" test should trigger a Bootstrap-styled
tooltip showing the library name and code.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 7 Martin Renvoize 2019-09-27 12:16:29 UTC
Created attachment 93200 [details] [review]
Bug 23602: Display branch limitations in itemtype table

This patch adds a column in itemtype table to display branch limitations.

To test:
1) Open item types admin page.
CHECK => there is no column for branch limitations, even if you add a limitation in an item type.
2) Apply this patch
SUCCESS => A new column appears that displays branch limitations per item type
3) Sign off

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2019-09-27 12:16:32 UTC
Created attachment 93201 [details] [review]
Bug 23602: (follow-up) Correct terminology, add tooltip

This follow-up changes the use of "branch" to the Koha standard
"library." The patch also adds the use of a Bootstrap tooltip for
showing an item type's library limitations in the main table of item
types.

To test, apply the patch and go to Administration -> Item types.

In the table of item types, find one with library limitations. Hovering
over the "# library limitations" test should trigger a Bootstrap-styled
tooltip showing the library name and code.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2019-09-27 12:16:35 UTC
Created attachment 93202 [details] [review]
Bug 23602: (follow-up) Improve tooltip formatting

This follow-up changes the formatting of the tooltip to add a newline for
library limit.

To test, apply the patch and go to Administration -> Item types.

In the table of item types, find one with library limitations. Hovering
over the "# library limitations" test should trigger a Bootstrap-styled
tooltip showing the library name and code, one per line.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Owen Leonard 2019-09-27 12:44:05 UTC
Created attachment 93205 [details] [review]
Bug 23602: (follow-up) Improve tooltip formatting

This follow-up changes the formatting of the tooltip to add a newline for
library limit.

To test, apply the patch and go to Administration -> Item types.

In the table of item types, find one with library limitations. Hovering
over the "# library limitations" test should trigger a Bootstrap-styled
tooltip showing the library name and code, one per line.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 11 Martin Renvoize 2019-09-27 12:45:33 UTC
Passing QA :)
Comment 12 Martin Renvoize 2019-09-27 13:07:12 UTC
Nice work!

Pushed to master for 19.11.00
Comment 13 Fridolin SOMERS 2019-10-08 07:22:00 UTC
Depends on Bug 15497 not in 19.05.x
Comment 14 Katrin Fischer 2019-10-08 20:19:12 UTC
Augustin, can you please have a look at bug 23602? It looks like this patch set broke the display of the item type in the table. 

This part in the template does no longer seem to work:
[% UNLESS Koha.Preference('noItemTypeImages') %]
                    <td>
                        [% SET image_location = itemtype.image_location('intranet') %]
                        [% IF image_location %]<img src="[% image_location | html %]" alt="" />[% ELSE %]&nbsp;[% END %]
                    </td>
[% END %]